//
// C++ Interface: kcolortreewidget
//
// Description: 
//
//
// Author: Olivier Goffart 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KCOLORTREEWIDGET_H
#define KCOLORTREEWIDGET_H

#include <QTreeWidget>
#include "kcolorsettingsitem.h"

class KColorsConfigTreeWidgetItem;

/**
	@author Olivier Goffart
*/
class KColorsConfigTreeWidget : public QTreeWidget{
Q_OBJECT
public:
    KColorsConfigTreeWidget(QWidget *parent=0l);

    ~KColorsConfigTreeWidget();
    
	void fill(const QString &appname);
    
    bool edit( const QModelIndex & index, EditTrigger trigger, QEvent * event );
	
	void save();
    
signals:
    void colorChanged(int idx, const KColorSettingsItem &item);
    
private:
    QHash< int , KColorsConfigTreeWidgetItem* > m_items;
	QString m_appname;
};

#endif
