/*
    This file is part of KDE.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef INSTALLERSUSE_H
#define INSTALLERSUSE_H

#include "installer.h"

class KProcess;

namespace KNS {
class Entry;
}

class InstallerSuse : public Installer
{
    Q_OBJECT
  public:
    InstallerSuse( Engine *, QWidget * );

  protected:
    void doInstall( KNS::Entry * ); 

  protected slots:
    void slotProcessExited( KProcess * );
};

#endif
