#ifndef QUASAR_FILTERNODE_P_H
#define QUASAR_FILTERNODE_P_H

#include "shadernode_p.h"

#include "texture.h"

class QGLFramebufferObject;

namespace Quasar
{
    class Mesh;

    class FilterNodePrivate : public ShaderNodePrivate
    {
        Q_DECLARE_PUBLIC(FilterNode)
    public:
        FilterNodePrivate();
    public:
        QList<Texture> textures;
        Mesh          *mesh;

        QString vs;
        QString fs;
    };
}

#endif
