#ifndef QUASAR_GAUSSIANBLUR_P_H
#define QUASAR_GAUSSIANBLUR_P_H

#include "convolutionnode_p.h"


namespace Quasar
{
    class GaussianBlurNode : public ConvolutionNode
    {
        Q_OBJECT
    public:
        GaussianBlurNode();

    protected:
        virtual void fillConvolution(GLint *convolution,
                                     GLfloat *scale,
                                     QColor *baseColor);
    };
}


#endif
