TEMPLATE = app
TARGET = blazer
QT += dbus
DEPENDPATH += .
INCLUDEPATH += . \
    $$system(kde-config --prefix)/include
QMAKE_LIBDIR += $$system(kde-config --prefix)/lib
LIBS += -lkdecore \
    -lkdeui \
    -ltaskmanager \
    -lkworkspace \
    -lkio \
    -lsolid \
    -lkutils

# Input
SOURCES += blazer.cpp \
    taskmanagerwidget.cpp \
    taskitembutton.cpp \
    systemtray.cpp \
    clock.cpp \
    desktopwidget.cpp \
    launcher.cpp \
    launcherbutton.cpp \
    applicationmenu.cpp \
    topbar.cpp \
    mediabutton.cpp \
    mediamenu.cpp \
    pager.cpp \
    launcherbar.cpp \
    desktopbutton.cpp
CONFIG += rpath_libdirs
HEADERS += taskmanagerwidget.h \
    taskitembutton.h \
    systemtray.h \
    clock.h \
    desktopwidget.h \
    launcher.h \
    launcherbutton.h \
    applicationmenu.h \
    topbar.h \
    mediabutton.h \
    mediamenu.h \
    pager.h \
    launcherbar.h \
    desktopbutton.h
FORMS += launcher.ui
RESOURCES += blazer.qrc
target.path += $$system(kde-config --prefix)/bin
autostart.files = blazer.desktop
autostart.path = $$system(kde-config --prefix)/share/autostart
profile.files = default.profile
profile.path = $$system(kde4-config --install data)/blazer/profiles
stylesheet.files = styles.css black.css colorstyle.css
stylesheet.path = $$system(kde4-config --install data)/blazer
INSTALLS += target \
    autostart \
    profile \
    stylesheet
