/*******************************************************************************
 *                                                                             *
 * klbkonqplugin is a menu plugin for konqueror for klabelbrowser              *
 * Copyright (C) 2005  Ramakrishna R <coolrama@gmail.com>                      *
 *                                                                             *
 * This program is free software; you can redistribute it and/or modify        *
 * it under the terms of the GNU General Public License as published by        *
 * the Free Software Foundation; either version 2 of the License, or           *
 * (at your option) any later version.                                         *
 *                                                                             *
 * This program is distributed in the hope that it will be useful,             *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                *
 * GNU General Public License for more details.                                *
 *                                                                             *
 * You should have received a copy of the GNU General Public License           *
 * along with this program; if not, write to the Free Software                 *
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA. *
 *                                                                             *
 ******************************************************************************/

#ifndef __plugin_klbkonqplugin_h
#define __plugin_klbkonqplugin_h
 
#include <kparts/plugin.h>
#include <klibloader.h>
 
class KURL;
class KInstance;

class KlbPlugin : public KParts::Plugin
{
    Q_OBJECT
public:

    KlbPlugin( QObject* parent = 0, const char* name = 0, const QStringList &args = QStringList() );
    virtual ~KlbPlugin();

public slots:
    void slotSelected();
    
private:
   KSelectAction *klbmenu;
};

#endif
