#ifndef COMPARATOR_H
#define COMPARATOR_H

#include <klocalizedstring.h>

struct comparator
{
    QString name;
    QString str;
    QString prefix;
};

const comparator invalid     = { QString("invalid"),               QString(),     QString()    };

const comparator greater     = { i18n("greater than"),             QString(">"),  QString("+") };
const comparator greateroreq = { i18n("greater than or equal to"), QString(">="), QString("+") };
const comparator less        = { i18n("less than"),                QString("<"),  QString("+") };
const comparator lessoreq    = { i18n("less than or equal to"),    QString("<="), QString("+") };
const comparator contains    = { i18n("contains"),                 QString(":"),  QString("+") };
const comparator notcontains = { i18n("does not contain"),         QString(":"),  QString("-") };
const comparator equal       = { i18n("is equal to"),              QString("="),  QString("+") };

#endif // COMPARATOR_H
