/***************************************************************************
 *   Copyright © 2009 Reza Fatahilah Shah <rshah0385@kireihana.com>        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#ifndef VIDEO_PROXY_WIDGET_H
#define VIDEO_PROXY_WIDGET_H

#include <QtGui/QGraphicsProxyWidget>
#include <gst/gst.h>
class VideoWidget;
/*namespace KGstDevices
{
    class AbstractRenderer;
    class VideoWidget;
}*/

class VideoProxyWidget : public QGraphicsProxyWidget
{
public:
    VideoProxyWidget(QGraphicsWidget *parent = 0,QString renderType="ximagesink");
    ~VideoProxyWidget();
    //KGstDevices::VideoWidget *nativeWidget();
    VideoWidget *nativeWidget();

protected:
    void resizeEvent(QGraphicsSceneResizeEvent *event);
private:
    VideoWidget *mVideoWidget;
    //KGstDevices::VideoWidget *mVideoWidget;
  //  KGstDevices::AbstractRenderer *createRenderer(QString &rendererType);
};
#endif  