/***********************************************************************/
/* factory.h 							       */
/* 								       */
/* Copyright (C)  2010  Adenilson Cavalcanti <cavalcantii@gmail.com>   */
/* 								       */
/* This library is free software; you can redistribute it and/or       */
/* modify it under the terms of the GNU Lesser General Public	       */
/* License as published by the Free Software Foundation; either	       */
/* version 2.1 of the License, or (at your option) any later version.  */
/*   								       */
/* This library is distributed in the hope that it will be useful,     */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of      */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU   */
/* Lesser General Public License for more details.		       */
/*  								       */
/* You should have received a copy of the GNU Lesser General Public    */
/* License along with this library; if not, write to the Free Software */
/* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA       */
/* 02110-1301  USA						       */
/***********************************************************************/

/**
 * @file   factory.h
 * @author Adenilson Cavalcanti
 * @date   Wed Feb 24 23:12:50 2010
 *
 * @brief
 *
 *
 */

#ifndef __FACTORY__
#define __FACTORY__

#include <QFile>
#include <QTextStream>

#include <plasma/animations/animation.h>
#include <plasma/plasma_export.h>


class Factory
{
public:
    static Plasma::Animation* create(QString &path);

private:
    static QSet<QString> s_paths;
};


#endif
