#include "koratstatusbar.h"

namespace Korat
{
class StatusBarPrivate
{
public:
    StatusBarPrivate(StatusBar *drawer)
        : q(drawer)
    {

    }

    StatusBar *q;
};

StatusBar::StatusBar(QGraphicsItem *parent)
    : QGraphicsWidget(parent)
    , d(new StatusBarPrivate(this))
{

}

StatusBar::~StatusBar()
{
    delete d;
}

} // namespace Korat

#include "koratstatusbar.moc"

// vim: sw=4 sts=4 et tw=100
